Skip to content

Reassign an open workflow task to another user for a multi-item workflow.

You cannot reassign a task to a user who is already assigned to that specific task, has completed that task, or is configured with a restricted role. However, you can reassign a user to continuing iterations of the same task if an Admin has enabled users in the workflow to only complete one task.

POST/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/mdwreassign
NameDescription
Content-Typeapplication/json or application/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{task_id}The id of the task to reassign.
NameDescription
task_assignee__v
required
The id of the user who will become the new task assignee, in the format user:{id}. For example, user:100307.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d 'task_assignee__v=user:2135709' https://myvault.veevavault.com/api/v26.1/objects/objectworkflows/tasks/9626/actions/mdwreassign
{ "responseStatus": "SUCCESS" }

Returns SUCCESS if the task was successfully reassigned. Vault notifies the new task owner and the previous task owner of the reassignment.